Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer.impl
Class GlobalTimerService.DisposableCommandService

    java.lang.Object
      org.jbpm.process.core.timer.impl.GlobalTimerService.DisposableCommandService

All Implemented Interfaces:
  org.drools.core.command.CommandService, CommandExecutor

Enclosing class:
  GlobalTimerService

    public static class GlobalTimerService.DisposableCommandService

extends Object
implements org.drools.core.command.CommandService

Constructor Summary
`GlobalTimerService.DisposableCommandService(org.drools.core.command.CommandService delegate, RuntimeManager manager, RuntimeEngine runtime, boolean retry)`

Method Summary
`void` | `dispose()`
`
`<T> T`
` | `execute(Command<T> command)` Execute the command and return a ExecutionResults for the results of the Command.
`org.kie.internal.command.Context` | `getContext()`
`Environment` | `getEnvironment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalTimerService.DisposableCommandService

    public GlobalTimerService.DisposableCommandService(org.drools.core.command.CommandService delegate,
                                                       RuntimeManager manager,
                                                       RuntimeEngine runtime,
                                                       boolean retry)

Method Detail

### execute

    public <T> T execute(Command<T> command)

  Description copied from interface: `CommandExecutor`
  Execute the command and return a ExecutionResults for the results of the Command.

  Specified by:
    `execute` in interface `CommandExecutor`
  Returns:

### getContext

    public org.kie.internal.command.Context getContext()

  Specified by:
    `getContext` in interface `org.drools.core.command.CommandService`

### dispose

    public void dispose()

### getEnvironment

    public Environment getEnvironment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.